package com.mortals.xhx.module.product.web;

import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.product.model.ProductTopicEntity;
import com.mortals.xhx.module.product.service.ProductTopicService;
import java.util.Map;
/**
* ProductTopicController
*
* 产品topic 控制器
*
* @author zxfei
* @date 2021-11-22
*/
@RestController
@RequestMapping("product/topic")
public class ProductTopicController extends BaseCRUDJsonMappingController<ProductTopicService,ProductTopicForm,ProductTopicEntity,Long> {

    @Autowired
    private ParamService paramService;

    public ProductTopicController(){
        super.setFormClass(ProductTopicForm.class);
        super.setModuleDesc( "产品topic");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, ProductTopicForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
    }
}